Nestopia Core API: Nes::Api::Cartridge::Profile::Game

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## api
Struct Nes::Api::Cartridge::Profile::Game

struct Nes::Api::Cartridge::Profile::Game

Game context.

Field Summary
`Input::Adapter` | `adapter` Utilized controller adapter.
`std::wstring` | `altTitle` Alternative game title.
`std::wstring` | `catalog` Catalog.
`std::wstring` | `clss` Class.
`Input::Type[ 5 ]` | `controllers` Utilized controllers.
`std::wstring` | `developer` Developer.
`uint` | `players` Number of players.
`std::wstring` | `portDeveloper` Port Developer.
`std::wstring` | `publisher` Publisher.
`std::wstring` | `region` Region.
`std::wstring` | `revision` Revision.
`std::wstring` | `subClss` Sub-class.
`std::wstring` | `title` Game title.

Constructor Summary
`Game()`

Field Detail

### adapter

    public Input::Adapter adapter;

  Utilized controller adapter.

### altTitle

    public std::wstring altTitle;

  Alternative game title.

### catalog

    public std::wstring catalog;

  Catalog.

### clss

    public std::wstring clss;

  Class.

### controllers

    public Input::Type controllers[ 5 ];

  Utilized controllers.

### developer

    public std::wstring developer;

  Developer.

### players

    public uint players;

  Number of players.

### portDeveloper

    public std::wstring portDeveloper;

  Port Developer.

### publisher

    public std::wstring publisher;

  Publisher.

### region

    public std::wstring region;

  Region.

### revision

    public std::wstring revision;

  Revision.

### subClss

    public std::wstring subClss;

  Sub-class.

### title

    public std::wstring title;

  Game title.

Constructor Detail

### Game

    public Game() throw();

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD